BLKDEV_ISSUE_FLUSH(9)

NAME
blkdev_issue_flush - queue a flush

SYNOPSIS

int blkdev_issue_flush(struct block_device * bdev, gfp_t gfp_mask, sector_t * error_sector);

ARGUMENTS

bdev
    blockdev to issue flush for

gfp_mask
    memory allocation flags (for bio_alloc)

error_sector
    error sector

DESCRIPTION

Issue a flush for the block device in question. Caller can supply room for storing the error offset in case of a flush error, if they wish to. If WAIT flag is not passed then caller may check only what request was pushed in some internal queue for later handling.

COPYRIGHT